Polygon (KML Framework API)
Keywords: org.boehn.kmlframework.kml.Polygon class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.boehn.kmlframework.kml
Class Polygon

    java.lang.Object
      org.boehn.kmlframework.kml.KmlObject
          org.boehn.kmlframework.kml.Geometry
              org.boehn.kmlframework.kml.Polygon

    public class Polygon

extends Geometry

Constructor Summary
`Polygon()`
`Polygon(java.lang.Boolean extrude, java.lang.Boolean tessellate, AltitudeModeEnum altitudeMode, LinearRing outerBoundary, java.util.List<LinearRing> innerBoundaries)`

Method Summary
`AltitudeModeEnum` | `getAltitudeMode()`
`java.lang.Boolean` | `getExtrude()`
`java.util.List<LinearRing>` | `getInnerBoundaries()`
`LinearRing` | `getOuterBoundary()`
`java.lang.Boolean` | `getTessellate()`
`void` | `setAltitudeMode(AltitudeModeEnum altitudeMode)`
`void` | `setExtrude(java.lang.Boolean extrude)`
`void` | `setInnerBoundaries(java.util.List<LinearRing> innerBoundaries)`
`void` | `setOuterBoundary(LinearRing outerBoundary)`
`void` | `setTessellate(java.lang.Boolean tessellate)`
`void` | `write(Kml kml)`
`void` | `writeDelete(Kml kml)`

Methods inherited from class org.boehn.kmlframework.kml.KmlObject
`booleanToInt, enumToString, getId, getIdAndTargetIdFormatted, getTargetId, setId, setTargetId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Polygon

    public Polygon()

### Polygon

    public Polygon(java.lang.Boolean extrude,
                   java.lang.Boolean tessellate,
                   AltitudeModeEnum altitudeMode,
                   LinearRing outerBoundary,
                   java.util.List<LinearRing> innerBoundaries)

Method Detail

### getExtrude

    public java.lang.Boolean getExtrude()

### setExtrude

    public void setExtrude(java.lang.Boolean extrude)

### getTessellate

    public java.lang.Boolean getTessellate()

### setTessellate

    public void setTessellate(java.lang.Boolean tessellate)

### getAltitudeMode

    public AltitudeModeEnum getAltitudeMode()

### setAltitudeMode

    public void setAltitudeMode(AltitudeModeEnum altitudeMode)

### getOuterBoundary

    public LinearRing getOuterBoundary()

### setOuterBoundary

    public void setOuterBoundary(LinearRing outerBoundary)

### getInnerBoundaries

    public java.util.List<LinearRing> getInnerBoundaries()

### setInnerBoundaries

    public void setInnerBoundaries(java.util.List<LinearRing> innerBoundaries)

### write

    public void write(Kml kml)
               throws KmlException

  Specified by:
    `write` in class `KmlObject`
  Throws:
    `KmlException`

### writeDelete

    public void writeDelete(Kml kml)
                     throws KmlException

  Specified by:
    `writeDelete` in class `KmlObject`
  Throws:
    `KmlException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD